ابحث في الدعم

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Firefox 103.0.1; extremely slow startup, VAAPI error

  • 2 (ردّان اثنان)
  • 1 has this problem
  • 6 views
  • آخر ردّ كتبه ugene85643

more options

//Firefox 103.0.1; Linux 5.10; Debian 11.4.0; xserver-xorg 1:7.7; Nvidia 515.57 driver// After clicking on ->Web Browsing -> Firefox there is NO visible response for 26 seconds... then a normal application window opens and Firefox appears to be operating normally. Opening via command line gives the following "error/information" message(s): glxtest: VA-API test failed, failed to initialize VAAPI connection. For the TWENTY-SIX seconds(!) Firefox is apparently trying to connect to a service that is not available. Is there something in "Settings" or in "about:config" that I can do to skip the "glxtest" and/or other glx VAAPI related configuration options? Or, alternatively, am I missing something in the X-window configuration or another library package that is necessary to support the VA-API feature? The Nvidia driver indicates it is providing "GLX server" version 1.4 . [Troubleshooting information / Share Data attached]

//Firefox 103.0.1; Linux 5.10; Debian 11.4.0; xserver-xorg 1:7.7; Nvidia 515.57 driver// After clicking on ->Web Browsing -> Firefox there is NO visible response for '''26 seconds'''... then a normal application window opens and Firefox appears to be operating normally. Opening via command line gives the following "error/information" message(s): glxtest: VA-API test failed, failed to initialize VAAPI connection. For the TWENTY-SIX seconds(!) Firefox is apparently trying to connect to a service that is not available. Is there something in "Settings" or in "about:config" that I can do to skip the "glxtest" and/or other glx VAAPI related configuration options? Or, alternatively, am I missing something in the X-window configuration or another library package that is necessary to support the VA-API feature? The Nvidia driver indicates it is providing "GLX server" version 1.4 . [Troubleshooting information / Share Data attached]

All Replies (2)

more options

Did you test a version from Mozilla to compare? https://www.mozilla.org/en-US/firefox/all/#product-desktop-release

Do you have the same issue with Safe Mode?

Modified by jonzn4SUSE

Helpful?

more options

jonzn... My Firefox version 103.0.1 -IS- a Mozilla version, downloaded directly from the Mozilla site. This was the current version a week ago - maybe not current now as I see an upgrade notice in the browser... Regarding Safe Mode. Yes, when I start in -safe-mode there is the same 26 second delay, then the Alert window pops open advising that no add-ons are used, etc., the only thing I noticed different (compared to GUI startup) is an additional message in the xterm window, from which the application was started, "ATTENTION. default value of option mesa_glthread overridden by environment". I can't see anything relevant in the environment variables. I've searched for "mesa", "MESA", "glt" and no matches found for any of those. Could be implied by some other named variable but I don't know what to look for. The -esr version (in Debian packages) is 91.12.0esr and starts up normally/promptly(!). When started from a terminal command line it displays no messages of any kind. According to my "sketchy" notes, I had the same slow startup with 98.0.2 and 99.0.0 and in both cases I reverted to the previous 97.0.1 version which starts normally. That remains my "plan B" if no workaround is found in 103.0.1.

Helpful?

اطرح سؤالا

عليك الولوج إلى حسابك للردّ على المشاركات. من فضلك اطرح سؤالًا جديدًا لو لم يكن لديك حساب بعد.